Main Page | Class Hierarchy | Alphabetical List | Compound List | Compound Members

# IRdCamera Struct Reference

Inherits IDispatch.

List of all members.

## Public Member Functions
HRESULT | Clear (void)
HRESULT | CameraType ([out, retval] ECameraType *peCamType)
HRESULT | CameraType ([in] ECameraType eCamType)
HRESULT | FOV ([out, retval] RtFloat *fpFov)
HRESULT | FOV ([in] RtFloat fFov)
HRESULT | ClippingNear ([out, retval] RtFloat *pfClippingNear)
HRESULT | ClippingNear ([in] RtFloat fClippingNear)
HRESULT | ClippingFar ([out, retval] RtFloat *pfClippingFar)
HRESULT | ClippingFar ([in] RtFloat fClippingFar)
HRESULT | FocusDistance ([out, retval] RtFloat *pfFocusDistance)
HRESULT | FocusDistance ([in] RtFloat fFocusDistance)
HRESULT | AspectRatio ([out, retval] RtFloat *pfVal)
HRESULT | AspectRatio ([in] RtFloat fVal)
HRESULT | IsHorizontalFOV ([out, retval] RtBOOL *pfVal)
HRESULT | IsHorizontalFOV ([in] RtBOOL fVal)

## Detailed Description

Camera definition.

## Member Function Documentation

HRESULT IRdCamera::Clear | ( | void |  | ) |

| Clear contents of the object

HRESULT IRdCamera::CameraType | ( | [out, retval] ECameraType * | peCamType | ) |

  | Return the camera type Parameters:
  peCamType | is filled with type of the camera

HRESULT IRdCamera::CameraType | ( | [in] ECameraType | eCamType | ) |

  | Set the camera type Parameters:
  eCamType | specifies new camera type.

HRESULT IRdCamera::FOV | ( | [out, retval] RtFloat * | fpFov | ) |

  | Return the camera FOV Parameters:
  fpFov | is filled with FOV of the camera

HRESULT IRdCamera::FOV | ( | [in] RtFloat | fFov | ) |

  | Set the camera FOV Parameters:
  fFov | specifies new camera FOV.

HRESULT IRdCamera::ClippingNear | ( | [out, retval] RtFloat * | pfClippingNear | ) |

  | Return the camera ClippingNear Parameters:
  fClippingNear | is filled with ClippingNear of the camera

HRESULT IRdCamera::ClippingNear | ( | [in] RtFloat | fClippingNear | ) |

  | Set the camera ClippingNear Parameters:
  fClippingNear | specifies new camera ClippingNear.

HRESULT IRdCamera::ClippingFar | ( | [out, retval] RtFloat * | pfClippingFar | ) |

  | Return the camera ClippingFar Parameters:
  pfClippingFar | is filled with ClippingFar of the camera

HRESULT IRdCamera::ClippingFar | ( | [in] RtFloat | fClippingFar | ) |

  | Set the camera ClippingFar Parameters:
  fClippingFar | specifies new camera ClippingFar.

HRESULT IRdCamera::FocusDistance | ( | [out, retval] RtFloat * | pfFocusDistance | ) |

  | Return the camera FocusDistance Parameters:
  pfFocusDistance | is filled with FocusDistance of the camera

HRESULT IRdCamera::FocusDistance | ( | [in] RtFloat | fFocusDistance | ) |

  | Set the camera FocusDistance Parameters:
  fFocusDistance | specifies new camera FocusDistance.

HRESULT IRdCamera::AspectRatio | ( | [out, retval] RtFloat * | pfVal | ) |

  | Return the camera AspectRatio Parameters:
  pfVal | is filled with AspectRatio of the camera

HRESULT IRdCamera::AspectRatio | ( | [in] RtFloat | fVal | ) |

  | Set the camera AspectRatio Parameters:
  fVal | specifies new camera AspectRatio.

HRESULT IRdCamera::IsHorizontalFOV | ( | [out, retval] RtBOOL * | pfVal | ) |

  | Return the camera FOV type Parameters:
  pfVal | is filled with type FOV - horizontal FOV (true) or vertical (false).

HRESULT IRdCamera::IsHorizontalFOV | ( | [in] RtBOOL | fVal | ) |

  | Set the camera FOV type Parameters:
  fVal | specifies horizontal FOV type (true) or vertical (false).